Back to YouTube
TikHub·YouTube

YouTube Web V2: Get video captions

/api/v1/youtube/web_v2/get_video_captionssync$0.02 / call

Get video caption list or caption content for a specific language. Supports multiple caption format outputs (TikHub · YouTube Web V2)

Input
  • video_idstring

    Video ID

  • video_urlstring

    Video URL

  • language_codestring

    Language code, returns available caption list if empty

  • formatstring

    Caption format (default "srt")

    srt, xml, json3, txt

Run it

curl -s https://sooma.dev/v1/run \ -H "Authorization: Bearer $SOOMA_API_KEY" \ -H "Content-Type: application/json" \ -d '{"provider":"tikhub","endpoint":"/api/v1/youtube/web_v2/get_video_captions","input":{}}'

Or ask your agent: it will call inspect for this schema and run it over MCP.